Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive
[Java] Class CandidateListCompletionHandler

    java.lang.Object
      org.codehaus.groovy.grails.cli.interactive.CandidateListCompletionHandler

All Implemented Interfaces:
  jline.console.completer.CompletionHandler

    public class CandidateListCompletionHandler
    extends java.lang.Object

Fixes issues with the default CandidateListCompletionHandler such as clearing out the whole buffer when a completion matches a list of candidates

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`boolean` | `complete(jline.console.ConsoleReader reader, java.util.List candidates, int pos)`
`void` | `setAlwaysIncludeNewline(boolean eagerNewlines)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### complete

    public boolean complete(jline.console.ConsoleReader reader, @java.lang.SuppressWarnings("rawtypes") java.util.List candidates, int pos)

### setAlwaysIncludeNewline

    public void setAlwaysIncludeNewline(boolean eagerNewlines)

Groovy Documentation